'use client'
import { useMutation } from '@tanstack/react-query'
import { UserUpdate } from './types';

const fetchGraphQlPeopleUpdate = async (record: UserUpdate, uuid: string): Promise<{ data: UserUpdate | null; status: number }> => {
    console.log('Fetching test data from local API');
    try {
        const res = await fetch(`/api/people/update?uuid=${uuid || ''}`, { method: 'POST', cache: 'no-store', credentials: "include", body: JSON.stringify(record) });
        if (!res.ok) { const errorText = await res.text(); console.error('Test data API error:', errorText); throw new Error(`API error: ${res.status} ${res.statusText}`) }
        const data = await res.json();
        return { data: data.data, status: res.status }
    } catch (error) { console.error('Error fetching test data:', error); throw error }
};

export function useUpdatePeopleMutation() {
    return useMutation({
        mutationFn: ({ data, uuid }: { data: UserUpdate, uuid: string }) => fetchGraphQlPeopleUpdate(data, uuid),
        onSuccess: () => { console.log("People updated successfully") },
        onError: (error) => { console.error("Update people failed:", error) },
    })
}
